×

INDI Library v1.9.8 Released (29 Sep 2022)

Bi-monthly INDI Library released with new drivers and bug fixes.

Unable to update KStars

  • Posts: 63
  • Thank you received: 7
This is what I get when I try :-

gina@Mint-Desktop ~ $ sudo apt-get install indi-full kstars-bleeding
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package kstars-bleeding is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Unable to locate package indi-full
E: Package 'kstars-bleeding' has no installation candidate
gina@Mint-Desktop ~ $

These commands worked fine :-
sudo apt-add-repository ppa:mutlaqja/ppa
sudo apt-get update

Help Please.
Last edit: 10 months 2 weeks ago by Gina Davis.
10 months 2 weeks ago #79118

Please Log in or Create an account to join the conversation.

  • Posts: 346
  • Thank you received: 69

Replied by Giles on topic Unable to update KStars

Hi Gina,

What is the output of:
ls -la /etc/apt/sources.list.d/mutlaqja*

We're looking for a file such as "mutlaqja-ubuntu-ppa-focal.list" which would have the following contents:
deb-src http://ppa.launchpad.net/mutlaqja/ppa/ubuntu focal main
deb http://ppa.launchpad.net/mutlaqja/ppa/ubuntu focal main
# deb-src http://ppa.launchpad.net/mutlaqja/ppa/ubuntu focal main
 
__
I blog my progress: www.coochey.net
Last edit: 10 months 2 weeks ago by Giles.
10 months 2 weeks ago #79119

Please Log in or Create an account to join the conversation.

  • Posts: 346
  • Thank you received: 69

Replied by Giles on topic Unable to update KStars

Also, when you run "sudo apt update", do you see a line such as:
Hit:1 http://ppa.launchpad.net/mutlaqja/libgphoto2/ubuntu focal InRelease


(These are for Ubuntu Focal, hence the keyword focal in my examples, it might be replaced with another release name if you're running a different release).
 
__
I blog my progress: www.coochey.net
10 months 2 weeks ago #79120

Please Log in or Create an account to join the conversation.

  • Posts: 63
  • Thank you received: 7

Replied by Gina Davis on topic Unable to update KStars

gina@Mint-Desktop ~ $ ls -la /etc/apt/sources.list.d/mutlaqja*
-rw-r--r-- 1 root root 126 Jan  6 12:08 /etc/apt/sources.list.d/mutlaqja-ppa-xenial.list
gina@Mint-Desktop ~ $

gina@Mint-Desktop ~ $ cat /etc/apt/sources.list.d/mutlaqja-ppa-xenial.list
deb ppa.launchpad.net/mutlaqja/ppa/ubuntu xenial main
deb-src ppa.launchpad.net/mutlaqja/ppa/ubuntu xenial main

 
10 months 2 weeks ago #79122

Please Log in or Create an account to join the conversation.

  • Posts: 346
  • Thank you received: 69

Replied by Giles on topic Unable to update KStars

xenial is Ubuntu 16.04 LTS.

16.04 LTS went out of support in April 2021.

I believe that the repository is only building packages for Ubuntu 18.04 or later.

launchpad.net/~mutlaqja/+archive/ubuntu/ppa
 
__
I blog my progress: www.coochey.net
10 months 2 weeks ago #79124

Please Log in or Create an account to join the conversation.

  • Posts: 1029
  • Thank you received: 301

Replied by Eric on topic Re:Unable to update KStars

That's true. The two only solutions are to rebuild kstars from source on Xenial, or upgrade the system to the next long-term support with "sudo do-release-upgrade".

-Eric
HEQ5-Pro - Atik 314E - Orion ED80T - DMK21 on Orion 50mm
DIY 3D-printed Moonlite and FWheel RGB/LPR
KStars and indiserver on two Atom 1.6GHz 1GB RAM Linux, VPN remote access
10 months 2 weeks ago #79196

Please Log in or Create an account to join the conversation.

Time to create page: 0.220 seconds